Get logs correlated to a trace ID.
GET
/traces/{trace_id}/logs
const url = 'https://api.siteqwality.com/traces/example/logs';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.siteqwality.com/traces/example/logs \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” trace_id
required
string
Hex trace identifier
Responses
Section titled “ Responses ”Correlated logs
Media type application/json
object
logs
required
Array<object>
object
timestamp
required
string
level
required
string
message
required
string
host
required
string
source
required
string
span_id
required
string
trace_id
required
string
total
required
integer format: int64
Example generated
{ "logs": [ { "timestamp": "example", "level": "example", "message": "example", "host": "example", "source": "example", "span_id": "example", "trace_id": "example" } ], "total": 1}Missing or invalid authentication
Internal server error